<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.Processor

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Processor/Error.html" >Error</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line10" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">An exception a processor may raise during processing.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/InvalidArgument.html" >InvalidArgument</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.InvalidArgument" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line20" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Processor/MissingArgument.html" >MissingArgument</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.MissingArgument" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line21" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Processor/InvalidCommand.html" >InvalidCommand</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.InvalidCommand" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line22" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Processor/InternalError.html" >InternalError</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.InternalError" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line23" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Parameter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line25" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A Parameter is a documented value&#44; kept inside a Processor.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Type.html" >Type</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Type" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line31" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Type is the Processor's __metaclass__.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Parametrized.html" >Parametrized</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Parametrized" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line45" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Parametrized implements handling of Parameter attributes.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Processor.html" >Processor</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Processor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line99" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Processor documentation...</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Composite.html" >Composite</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Composite" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line143" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A Composite processor.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Store.html" >Store</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Store" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line200" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Processor/Error.html" >Error</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line10" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">An exception a processor may raise during processing.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Parameter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line25" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A Parameter is a documented value&#44; kept inside a Processor.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Type.html" >Type</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Type" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line31" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Type is the Processor's __metaclass__.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Parametrized.html" >Parametrized</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Parametrized" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line45" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Parametrized implements handling of Parameter attributes.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Processor.html" >Processor</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Processor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line99" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Processor documentation...</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Composite.html" >Composite</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Composite" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line143" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A Composite processor.</div></div>
<div class="item"><div class="synopsis">class <a href="Processor/Store.html" >Store</a></div> <div class="xref"><a href="../../XRef/xref23.html#Synopsis.Processor.Store" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Processor.py.html#line200" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Store is a convenience class useful to write out the intermediate
   state of the IR within a pipeline such as represented by the 'Composite'</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
